<div class="flex justify-center gap-2 my-8 text-white">
  @for(pageNumber of totalPagesArray; track pageNumber){
    <button class="rounded-full py-2 px-4 border-none focus:outline-none bg-[#734124]" 
            [class.bg-[#e0994c]]="pageNumber === currentPage" 
            (click)="onPageChange(pageNumber)">
      {{ pageNumber }}
    </button>
  }
</div>
